%global source_date_epoch_from_changelog nil
%global srcname vsakarin

Name:           vapoursynth-plugin-%{srcname}
Version:        0.96f
Release:        1%{?dist}
Summary:        Vapoursynth plugin vsakarin

License:        GPL-3.0-or-later
URL:            https://github.com/AkarinVS/vapoursynth-plugin
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  llvm15-devel
BuildRequires:  meson
BuildRequires:  g++
BuildRequires:  vapoursynth-devel
BuildRequires:  zlib-devel

Requires: zlib
Requires: ncurses-libs
Requires: libstdc++

%description
Plugin for Vapoursynth: vsakarin

%prep
%autosetup -p1 -n vapoursynth-plugin-%{version}

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%{_libdir}/vapoursynth/libakarin.so
